## Read data
SAdata   <- as.matrix(read.csv("Incidence.csv", header = TRUE))

S <- matrix(0, nrow = nrow(SAdata), ncol = 9)
S[, 1: 9] <- SAdata[,27:35]


result <- matrix(0, nrow = 1000, ncol = 1)
for(n in 1:ncol(S)){
  for(i in 1:1000){
    Ss <- matrix(0, nrow = nrow(SAdata), ncol = n)
    Ss[,1:n] <- S[,sample(1:ncol(S),n)]
    Ssum     <- as.matrix(rowSums(Ss))
    Ssum     <- ifelse(Ssum==0, 0, 1)

    result[i,1] <- sum(Ssum)
  }
  FSname <- paste("Rarefaction_curve_result",n,".csv")
  write.table(result, file = FSname, sep=",")  
}

